<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('esg_mains', function (Blueprint $table) {
            $table->id();
            $table->json('title')->comment("標題");
            $table->json('description')->comment("短文");
            $table->string('og_img')->nullable()->comment('seo image');
            $table->json("meta_title")->nullable()->comment("seo title");
            $table->json("meta_keyword")->nullable()->comment("seo keyword");
            $table->json("meta_description")->nullable()->comment("seo description");
            $table->string('img_pc')->nullable()->comment('Image PC');
            $table->string('img_mobile')->nullable()->comment('Image MOBILE');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('esg_mains');
    }
};
